/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Patient Status And Events
 */
public enum EnumCM_PatientStatusAndEvents 
{
	//CID 3402 Patient Status And Events
	PATIENT_CALLED_TO_PROCEDURE_ROOM("Patient called to procedure room"),
	PATIENT_ADMITTED_TO_PROCEDURE_ROOM("Patient admitted to procedure room"),
	PATIENT_GIVEN_PRE_PROCEDURE_INSTRUCTION("Patient given pre-procedure instruction"),
	PATIENT_INFORMED_CONSENT_GIVEN("Patient informed consent given"),
	PATIENT_ADVANCE_DIRECTIVE_GIVEN("Patient advance directive given"),
	NIL_PER_OS_NPO_STATUS_CONFIRMED("Nil Per Os (NPO) status confirmed"),
	PATIENT_ASSISTED_TO_TABLE("Patient assisted to table"),
	PATIENT_PREPPED_AND_DRAPED("Patient prepped and draped"),
	PATIENT_CONNECTED_TO_CONTINUOUS_MONITORING("Patient connected to continuous monitoring"),
	PATIENT_TRANSFERRED_TO_HOLDING_AREA("Patient transferred to holding area"),
	PATIENT_TRANSFERRED_TO_SURGERY("Patient transferred to surgery"),
	PATIENT_TRANSFERRED_TO_CCU("Patient transferred to CCU"),
	PATIENT_DISORIENTED("Patient disoriented"),
	PATIENT_REPORTS_NAUSEA("Patient reports nausea"),
	PATIENT_REPORTS_DISCOMFORT("Patient reports discomfort"),
	PATIENT_REPORTS_CHEST_PAIN("Patient reports chest pain"),
	PATIENT_REPORTS_NO_PAIN("Patient reports no pain"),
	PATIENT_ALERT("Patient alert"),
	PATIENT_RESTLESS("Patient restless"),
	PATIENT_SEDATED("Patient sedated"),
	PATIENT_ASLEEP("Patient asleep"),
	PATIENT_UNRESPONSIVE("Patient unresponsive"),
	PATIENT_HAS_RESPIRATORY_DIFFICULTY("Patient has respiratory difficulty"),
	PATIENT_COUGHED("Patient coughed"),
	PATIENT_DISCONNECTED_FROM_CONTINUOUS_MONITORING("Patient disconnected from continuous monitoring"),
	HEMOSTASIS_ACHIEVED("Hemostasis achieved"),
	HEMOSTASIS_NOT_ACHIEVED__OOZING("Hemostasis not achieved - oozing"),
	HEMOSTASIS_NOT_ACHIEVED__ACTIVELY_BLEEDING("Hemostasis not achieved - actively bleeding"),
	PATIENT_GIVEN_POST_PROCEDURE_INSTRUCTION("Patient given post-procedure instruction"),
	PATIENT_PRONOUNCED_DEAD("Patient pronounced dead"),
	PATIENT_TRANSFERRED_TO_MORGUE("Patient transferred to morgue"),
	PATIENT_DISCHARGED_FROM_DEPARTMENT("Patient discharged from department");
	

	private String value;
	
	EnumCM_PatientStatusAndEvents(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
